Bug 67720 - hyperlinks in the document tree don't work
hyperlinks in the document tree don't work
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: quanta (Show other bugs)
7.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: wdovlrrw
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-30 21:21 EDT by Pierre Dumuid
Modified: 2007-04-18 12:43 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-20 13:39:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pierre Dumuid 2002-06-30 21:21:44 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0rc1) Gecko/20020417

Description of problem:
When I click the document tree tab, I can select different pages of
documentation using the tree, but when I click a hyperlink on a page, it doesn't
do anything!!!

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Run Quanta
2. Click the Document Tab
3. Click any page containing a hyperlink...
	

Actual Results:  Nothing!! - that's the problem

Expected Results:  Jump to the linked page

Additional info:

Whe I start up, it displays the following:

QToolBar::QToolBar main window cannot be 0.
QToolBar::QToolBar main window cannot be 0.
QToolBar::QToolBar main window cannot be 0.
QToolBar::QToolBar main window cannot be 0.
QToolBar::QToolBar main window cannot be 0.
QToolBar::QToolBar main window cannot be 0.
QGDict::hashKeyString: Invalid null key
parseBlock(0x82c7af0)
KWBufBlock: buildStringList this = 0x82c7af0
dirtyBlock(0x82c7af0)
KWBufBlock: disposeRawData this = 0x82c7af0
QObject::connect: No such signal KWrite::scrollValueChanged(int)
QObject::connect:  (sender name:   'unnamed')
QObject::connect:  (receiver name: 'unnamed')
QGDict::hashKeyString: Invalid null key
parseBlock(0x85e0268)
KWBufBlock: buildStringList this = 0x85e0268
dirtyBlock(0x85e0268)
KWBufBlock: disposeRawData this = 0x85e0268
QObject::connect: No such signal KWrite::scrollValueChanged(int)
QObject::connect:  (sender name:   'unnamed')
QObject::connect:  (receiver name: 'unnamed')
parseBlock(0x86c12b0)
KWBufBlock: buildStringList this = 0x86c12b0
dirtyBlock(0x86c12b0)
KWBufBlock: disposeRawData this = 0x86c12b0
QObject::connect: No such signal KWrite::scrollValueChanged(int)
QObject::connect:  (sender name:   'unnamed')
QObject::connect:  (receiver name: 'unnamed')
Comment 1 Bernhard Rosenkraenzer 2002-07-01 05:33:32 EDT
This is intentional - it's just a preview mode, not a browser.
Comment 2 Pierre Dumuid 2002-07-01 20:17:38 EDT
Bero,
I completely disagree with that.
With the older versions of quanta, the hyperlinks worked... and really well...

I can understand it not working in the othe tabs, but not on the documentation
tree tab.

In any case, it's supposed to be a source for looking up help in the code as
you're writing it, you're not editing the documentation!!!

Pierre
Comment 3 Ngo Than 2003-07-20 13:39:21 EDT
it's fixed in 3.1 or newer, which is included in RHL 8/9.

Note You need to log in before you can comment on or make changes to this bug.